#include <Wire.h>

#define BUTTON_PIN PB3
#define SLAVE_ADDR 0x04  // Dirección I2C del esclavo

void setup() {
  pinMode(BUTTON_PIN, INPUT_PULLUP);
  Wire.begin();  // Inicia como maestro
}

void loop() {
  if (digitalRead(BUTTON_PIN) == LOW) {
    Wire.beginTransmission(SLAVE_ADDR);
    Wire.write('A');  // Enviar comando
    Wire.endTransmission();
    delay(300);  // Debounce y evitar spam
  }
}
