#include <TinyWireS.h>

#define LED_PIN PB4
#define I2C_SLAVE_ADDR 0x04

void receiveEvent(uint8_t howMany) {
  while (TinyWireS.available()) {
    char c = TinyWireS.read(); 
    if (c == 'A') {
      digitalWrite(LED_PIN, HIGH);
      delay(500);
      digitalWrite(LED_PIN, LOW);
    }
  }
}

void setup() {
  pinMode(LED_PIN, OUTPUT);
  TinyWireS.begin(I2C_SLAVE_ADDR);
  TinyWireS.onReceive(receiveEvent);
}

void loop() {
  TinyWireS_stop_check(); 
